Unit aeb3e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER2E_p, AER4E_p, UTAE10_p;

procedure aeb3e(N :Integer; MB :Integer; MM :Integer;
                var M :Integer; var RLB :Extended; var RUB :Extended;
                var A :Array of Extended; var EV :Array of Extended;
                var IRAB1 :Array of Integer; var RAB :Array of Extended;
                var IERR :Integer);

implementation

procedure aeb3e(N :Integer; MB :Integer; MM :Integer;
                var M :Integer; var RLB :Extended; var RUB :Extended;
                var A :Array of Extended; var EV :Array of Extended;
                var IRAB1 :Array of Integer; var RAB :Array of Extended;
                var IERR :Integer);
var
N1,N2,N3,N4 :Integer;
EPS1 :Extended;
begin
N1 := N+1;
N2 := N*2+1;
N3 := N*3+1;
N4 := N*4+1;
AER2E(N,N,MB,A,RAB,RAB[N1-1],RAB[N2-1], False,A);
EPS1 := 0.0e0;
AER4E(N,EPS1,RAB,RAB[N1-1],RAB[N2-1],RLB,RUB,MM,M,EV,
     IRAB1,IERR,RAB[N3-1],RAB[N4-1]);
if ( IERR <> 0 ) 
 then UTAE10(IERR,N,29);
end;

end.
